package com.viettel.campaign.service;

import com.viettel.campaign.web.dto.CampaignCustomerDTO;
import com.viettel.campaign.web.dto.ResultDTO;
import com.viettel.campaign.web.dto.request_dto.CampaignRequestDTO;

import java.util.Map;

public interface CampaignService {
    ResultDTO searchCampaignExecute(CampaignRequestDTO requestDto);
    ResultDTO search(CampaignRequestDTO requestDto);
    ResultDTO findByCampaignCode(CampaignRequestDTO requestDTO);
    Map countRecallCustomer(Long companySiteId, Long agentId);
}
